Index: CMakeLists.txt
==================================================================
--- CMakeLists.txt
+++ CMakeLists.txt
@@ -253,10 +253,11 @@
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++14")
 
 if(NOT SDL2_OVERRIDE)
   check_include_file(SDL2/SDL.h HAVE_SDL2_SUBDIR)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -lSDL2")
   if(HAVE_SDL2_SUBDIR)
     #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -lSDL2main -lSDL2")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -lSDL2")
     add_definitions(-DVAVOOM_ARCH_LINUX_SPECIAL_SDL=1)
   endif(HAVE_SDL2_SUBDIR)

Index: libs/core/syslow.cpp
==================================================================
--- libs/core/syslow.cpp
+++ libs/core/syslow.cpp
@@ -1275,11 +1275,11 @@
 //  pin current thread to single CPU
 //
 //==========================================================================
 void Sys_PinThread () {
   if (mainAffMask == 0) {
-    DWORD pmask = 0, smask = 0;
+    DWORD_PTR pmask = 0, smask = 0;
     if (!GetProcessAffinityMask(GetCurrentProcess(), &pmask, &smask)) return;
     if (!pmask) return;
     // pin to the first avaliable CPU
     DWORD xmask = 1;
     while (xmask && !(pmask&xmask)) xmask = (DWORD)(xmask<<1);

Index: libs/vavoomc/vc_object_common.cpp
==================================================================
--- libs/vavoomc/vc_object_common.cpp
+++ libs/vavoomc/vc_object_common.cpp
@@ -1815,11 +1815,12 @@
   vobjGetParam(tmres, tvin);
   timeval tv;
   tv.tv_sec = (((uint64_t)tvin->secs)&0xffffffff)|(((uint64_t)tvin->secshi)<<32);
   //tv.tv_usec = tvin->usecs;
   tm ctm;
-  if (localtime_r(&tv.tv_sec, &ctm)) {
+  time_t tval = tv.tv_sec;
+  if (localtime_r(&tval, &ctm)) {
     tmres->sec = ctm.tm_sec;
     tmres->min = ctm.tm_min;
     tmres->hour = ctm.tm_hour;
     tmres->month = ctm.tm_mon;
     tmres->year = ctm.tm_year+1900;

Index: source/CMakeLists.txt
==================================================================
--- source/CMakeLists.txt
+++ source/CMakeLists.txt
@@ -732,11 +732,11 @@
     # of source files
     set(RC_SRC ${CMAKE_SOURCE_DIR}/branding/shitdoze.rc)
     set(RC_OBJ ${CMAKE_CURRENT_BINARY_DIR}/shitdoze.o)
     add_custom_command(OUTPUT ${RC_OBJ}
       DEPENDS ${RC_SRC}
-      COMMAND windres -o ${RC_OBJ} -i ${RC_SRC} -Fpe-i386
+      COMMAND windres -o ${RC_OBJ} -i ${RC_SRC} -Fpe-x86-64
     )
     set(MAIN_SOURCES ${MAIN_SOURCES} ${RC_OBJ})
   endif(WIN32)
 
 

Index: source/server/sv_save.cpp
==================================================================
--- source/server/sv_save.cpp
+++ source/server/sv_save.cpp
@@ -809,11 +809,12 @@
 static VStr TimeVal2Str (const TTimeVal *tvin, bool forAutosave=false) {
   timeval tv;
   tv.tv_sec = (((uint64_t)tvin->secs)&0xffffffff)|(((uint64_t)tvin->secshi)<<32);
   //tv.tv_usec = tvin->usecs;
   tm ctm;
-  if (localtime_r(&tv.tv_sec, &ctm)) {
+  time_t tsec = tv.tv_sec;
+  if (localtime_r(&tsec, &ctm)) {
     if (forAutosave) {
       // for autosave
       return VStr(va("%02d:%02d", (int)ctm.tm_hour, (int)ctm.tm_min));
     } else {
       // full

